class Item:

    def __init__(self, name, days_left, quality):
        self.name = name
        self.days_left = days_left
        self.quality = quality


def update_quality(items):
    for item in items:
        if item.name == 'Aged Brie':
            update_brie(item)
        elif item.name == 'Sulfuras':
            update_sulfuras(item)
        elif item.name == 'Backstage passes':
            update_backstage(item)
        else:
            update_normal(item)

def update_brie(item):
    item.days_left -= 1
    increase_quality(item)
    if item.days_left < 0:
        increase_quality(item)

def update_sulfuras(item):
    pass

def update_backstage(item):
    item.days_left -= 1
    increase_quality(item)
    if item.days_left < 0:
        item.quality = 0
        return
    if item.days_left < 10:
        increase_quality(item)
    if item.days_left < 5:
        increase_quality(item)

def update_normal(item):
    if item.quality > 0:
        item.quality = item.quality - 1
    item.days_left = item.days_left - 1
    if item.days_left < 0:
        if item.quality > 0:
            item.quality = item.quality - 1

def increase_quality(item):
    if item.quality < 50:
        item.quality = item.quality + 1
